This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 977099 - Drop large ChangeLog.gz
Drop large ChangeLog.gz
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 958426
  Show dependency treegraph
 
Reported: 2013-06-23 10:23 EDT by Kalev Lember
Modified: 2013-10-06 15:17 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-06 15:07:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2013-06-23 10:23:51 EDT
libvirt-client and libvirt-daemon packages include large ChangeLog.gz files, together accounting for 2.8 MB. Please drop these from the package; the NEWS files are more than enough to give an overview what's changed.

Also, would be nice to only ship one copy of the 778K NEWS file, instead of duplicating it between libvirt-client / libvirt-daemon / libvirt-python. (But please don't .gz compress it, it would only reduce the effectiveness of the .xz compression that iso images use.)

The F19 Desktop media is over size and would be great to have this fixed.
Comment 1 Kalev Lember 2013-06-28 13:01:52 EDT
The F19 release is out and we ended up doing a number of other cuts. Would still be nice to fix this for F20.
Comment 2 Fedora End Of Life 2013-09-16 10:14:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Cole Robinson 2013-09-25 13:48:25 EDT
Fixed upstream now:

commit e23216da9a9318df920abb11b02582b81515c862
Author: Cole Robinson <crobinso@redhat.com>
Date:   Wed Sep 25 13:20:40 2013 -0400

    spec: Clean up distribution of ChangeLog (and others)
Comment 4 Cole Robinson 2013-10-06 15:07:06 EDT
This is in F20/rawhide now
Comment 5 Kalev Lember 2013-10-06 15:17:03 EDT
Great, thanks!

Note You need to log in before you can comment on or make changes to this bug.